RegistrationHandler Class Referenceabstract

`#include <registrationhandler.h>`

## Public Member Functions

virtual | ~RegistrationHandler ()
virtual void | handleRegistrationFields (const JID &from, int fields, std::string instructions)=0
virtual void | handleAlreadyRegistered (const JID &from)=0
virtual void | handleRegistrationResult (const JID &from, RegistrationResult regResult)=0
virtual void | handleDataForm (const JID &from, const DataForm &form)=0
virtual void | handleOOB (const JID &from, const OOB &oob)=0

## Detailed Description

A virtual interface that receives events from an Registration object.

Derived classes can be registered as RegistrationHandlers with an Registration object. Incoming results for operations initiated through the Registration object are forwarded to this handler.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.2

Definition at line 80 of file registrationhandler.h.

## Constructor & Destructor Documentation

## ~RegistrationHandler()

virtual ~RegistrationHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 86 of file registrationhandler.h.

## Member Function Documentation

## handleAlreadyRegistered()

virtual void handleAlreadyRegistered | ( | const JID & | from | ) |

pure virtual

This function is called if createAccount() was called on an authenticated stream and the server lets us know about this.

## handleDataForm()

virtual void handleDataForm | ( | const JID & | from,
|  | const DataForm & | form )

pure virtual

This function is called additionally to handleRegistrationFields() if the server supplied a data form together with legacy registration fields.

Parameters

  from | The server or service the data form came from.
  form | The DataForm containing registration information.

## handleOOB()

virtual void handleOOB | ( | const JID & | from,
|  | const OOB & | oob )

pure virtual

This function is called if the server does not offer in-band registration but wants to refer the user to an external URL.

Parameters

  from | The server or service the referal came from.
  oob | The OOB object describing the external URL.

## handleRegistrationFields()

virtual void handleRegistrationFields | ( | const JID & | from,
|  | int | fields,
|  | std::string | instructions )

pure virtual

Reimplement this function to receive results of the fetchRegistrationFields() function.

Parameters

  from | The server or service the registration fields came from.
  fields | The OR'ed fields the server requires. From fieldEnum.
  instructions | Any additional information the server sends along.

## handleRegistrationResult()

virtual void handleRegistrationResult | ( | const JID & | from,
|  | RegistrationResult | regResult )

pure virtual

This funtion is called to notify about the result of an operation.

Parameters

  from | The server or service the result came from.
  regResult | The result of the last operation.

The documentation for this class was generated from the following file:

- registrationhandler.h